## com.sun.jersey.api.client
Interface ClientHandler

All Known Implementing Classes:
  Client, ClientFilter, ConnectionListenerFilter, CsrfProtectionFilter, GZIPContentEncodingFilter, HTTPBasicAuthFilter, HTTPDigestAuthFilter, LoggingFilter, TerminatingClientHandler, URLConnectionClientHandler

    public interface ClientHandler

A client handler that handles a HTTP request and returns the HTTP response.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`ClientResponse` | `handle(ClientRequest cr)` Handle a HTTP request as a `ClientRequest` and return the HTTP response as a `ClientResponse`.

Method Detail

### handle

    ClientResponse handle(ClientRequest cr)
                          throws ClientHandlerException

  Handle a HTTP request as a `ClientRequest` and return the HTTP response as a `ClientResponse`.

  Parameters:
    `cr` - the HTTP request.
  Returns:
    the HTTP response.
  Throws:
    `ClientHandlerException` - if the client handler fails to process the request or response.

Copyright © 2017 Oracle Corporation. All Rights Reserved.